Subject: [dhcwg] Still on IPv6 prefix delegation

From: <[email-masked]>
Date: Thu, 29 Oct 2009 08:23:57 +0100

Hi All,

The DHCPv6 Prefix Delegation, as per RFC3633, is currently The Standard Way for IPv6 Prefix Delegation. 

Additionally, 6to4 (RFC3056) describes how a site having a public IPv4 address can automatically configure an unique /48 IPv6 address prefix.

Furthermore, 6RD (http://tools.ietf.org/internet-drafts/draft-ietf-softwire-ipv6-6rd-00.txt) expands the concept by allowing use of private IPv4 addresses and introducing configurable prefix lenghts (e.g. /56).

Both 6to4 and 6RD, however, require IPv4 to work and both of them use encapsulation.

While marvelling these solutions, I started to wonder why couldn't we have stateless prefix delegation on IPv6-only environments as well, where instead of IPv4 addresses some other source of uniqueness would be used, such as bits from unique IPv6 address, unique /64 prefix, L2 identifier and so on.

I wrote a draft that builds on 6RD and describes my thoughts: 

   "Stateless IPv6 Prefix Delegation for IPv6 enabled networks"
   http://tools.ietf.org/internet-drafts/draft-savolainen-stateless-pd-00.txt

   "This document describes an automatic and stateless IPv6 prefix
   delegation solution for IPv6-only networks.  The solution builds on
   automatic delegation mechanism defined by 6RD, but is suitable for
   IPv6-only networks, including those that have not deployed stateful
   DHCPv6.  The described stateless approach essentially exchanges the
   complexity of the stateful approach to consumption of IPv6 address
   space and more statical properties."

I would be happy if you could please educate me on what would be the biggest controversies of such an approach?

Thank you,

	Teemu